package com.ycwl.basic.model.mobile.scenic.content;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author：longbinbin
 * @Date：2024/12/5 15:10
 */
@Data
@ApiModel("景区内容（成片、待成片模版、源素材）列表响应信息")
public class ContentPageVO {
    @ApiModelProperty("内容名称")
    private String name;
    @ApiModelProperty("景区id")
    private Long scenicId;
    @ApiModelProperty("景区名称")
    private String scenicName;
    @ApiModelProperty("内容类型 0模版 1:成片视频 2:源素材 ")
    private Integer contentType;
    @ApiModelProperty("源素材类型 1:视频 2:图片")
    private Integer sourceType;
    private int lockType;
    @ApiModelProperty("内容id contentType为0或1时才有值")
    private Long contentId;
    @ApiModelProperty("模版id")
    private Long templateId;
    @ApiModelProperty("模版封面图片 contentType为0或1时才有值")
    private String templateCoverUrl;
    @ApiModelProperty("是否购买：0未购买，1已购买")
    private Integer isBuy;
    private BigDecimal duration;
    private Integer goodsType;
}
